<?php
/*
Plugin Name: PWG Stuffs
Version: 1.7.d
Description: Insert modules on your gallery
Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=190
Author: P@t
Author URI: http://www.gauchon.com
*/

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

global $prefixeTable;

define('STUFFS_DIR' , basename(dirname(__FILE__)));
define('STUFFS_PATH' , PHPWG_PLUGINS_PATH . STUFFS_DIR . '/');
define('STUFFS_TABLE' , $prefixeTable . 'stuffs');

function stuffs_admin_menu($menu)
{
    array_push($menu, array('NAME' => 'PWG Stuffs',
            'URL' => get_admin_plugin_menu_link(STUFFS_PATH . 'admin/admin.php')));
    return $menu;
}

function set_stuffs_on_index()
{
	global $page;
	if (isset($page['section']) and $page['section'] == 'categories') {
        include_once(STUFFS_PATH . 'stuffs_on_index.php');
	}
}

function set_stuffs_on_picture()
{
	include_once(STUFFS_PATH . 'stuffs_on_picture.php');
}

add_event_handler('get_admin_plugin_menu_links', 'stuffs_admin_menu');
add_event_handler('loc_end_index', 'set_stuffs_on_index');
add_event_handler('loc_end_picture', 'set_stuffs_on_picture');

?>