<?php

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

global $template, $user, $conf;

include_once(STUFFS_PATH . 'functions.inc.php');
include_once(STUFFS_PATH . 'class.inc.php');

$stuffs = new stuffs(PHPWG_ROOT_PATH.'template/'.$user['template'], $user['theme'] );

// Recupration des groupes de l'utilisateur
$q = 'SELECT group_id FROM ' . USER_GROUP_TABLE . ' WHERE user_id = ' . $user['id'] . ';';
$result = pwg_query($q);
$user_groups = array();
while ($row = mysql_fetch_assoc($result)) {
    array_push($user_groups, $row['group_id']);
}

//Rcupration des modules
$q = 'SELECT id, name, type, params, datas, users, groups
FROM ' . STUFFS_TABLE . '
WHERE users LIKE "%' . $user['status'] . '%"
  AND params LIKE "' . (isset($page['category']) ? '_,_,1%' : '_,1%') . '"
ORDER BY pos ASC;';
$module_from_table = pwg_query($q);

while ($module = mysql_fetch_assoc($module_from_table)) {

	if ($module['type'] == 'MainBlock') {
		$stuffs->pos = 'end';
		continue;
	}

	if (!empty($module['groups'])) {
		$authorized_groups = explode(',', $module['groups']);
		if (array_intersect($user_groups, $authorized_groups) == array()) continue;
	}

	$params = explode(',', $module['params']);
	$datas = (!empty($module['datas']) ? unserialize($module['datas']) : false);

	foreach(explode('///', $module['name']) as $name) {
       	$array = explode(':', $name);
       	$title_lang[$array[0]] = $array[1];
    }

    $module['name'] = get_lang_module_title($module['name']);
	include(STUFFS_PATH . 'modules/' . $module['type'] . '/main.inc.php');
	
	if (isset($params[6]) and $params[6] == '1') $stuffs->assign_vars(array('CLASS' => 'class="thumbnailCategory"'));

	$stuffs->set_tpl_code($stuffs->parse('module_' . $module['id'], true),
						  $module['id'],
						  (!empty($params[4]) ? $params[4] : ''),
						  (!empty($params[5]) ? $params[5] : 0));
	$stuffs->destroy();
}

// Affectation de la taille des blocs
foreach ($stuffs->block_line as $line) {
	$nb_width = 0;
	$nb_blocks = count($line);
	
	foreach ($line as $width) {
		if ($width > 0) $nb_width++;
	}
	if ($nb_blocks != $nb_width) $default_width = intval((100 - array_sum($line)) / ($nb_blocks - $nb_width));
	$i = 1;
	foreach ($line as $module_id => $width) {
		if ($nb_blocks == 1) $style = 'width:100%;';
		elseif ($i == 1) $style = 'float:left; width:' . (!empty($width) ? $width : $default_width) . '%; margin-right:' . (isset($conf['stuffs_margin']) ? $conf['stuffs_margin'] : '0');
		elseif ($i == 2) $style = 'overflow:auto;';
		elseif ($i == 3) $style = 'float:right; width:' . (!empty($width) ? $width : $default_width) . '%; margin-left:' . (isset($conf['stuffs_margin']) ? $conf['stuffs_margin'] : '0');
		$template->assign_vars(array('STYLE_MODULE_' . $module_id => $style));
		$i++;
	}
}

// Envoi des blocs au template
$template->loadfile('index');

if (!empty($stuffs->code['begin'])) {
	$template->uncompiled_code['index'] = str_replace(
			"<div id=\"content\">",
			"<div id=\"content\">\n<div style=\"overflow:auto;\">\n" . implode("\n", $stuffs->code['begin']) . "</div><br>\n",
			$template->uncompiled_code['index']);
}
if (!empty($stuffs->code['end'])) {
	$template->uncompiled_code['index'] = str_replace(
			"</div> <!-- content -->",
			"<br>\n<div style=\"overflow:auto;\">\n" . implode("\n", $stuffs->code['end']) . "\n</div>\n</div> <!-- content -->",
			$template->uncompiled_code['index']);
}

?>